2018-09-26 11:40 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001371FSSCPgameplaypublic2009-05-10 05:29
ReporterJoshua 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.11 
Summary0001371: Able to target Stealthed and Invisible Fighters with Target Target's Target
DescriptionBy targeting a friendly and pressing Target Target's Targjet (j), you are able to target stealth fighters and fighters who are invisible on radar.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008019

karajorma (administrator)

Yeah I suspect you can also do it with a few other things like the hotkeys etc.

This one bugged me no end when I spotted it just before the BtRL release but it was too late to do something about it then. Might as well take it.

~0008033

karajorma (administrator)

I can't reproduce this. Pressing J when my target had an enemy stealth ship targeted simply resulted in me ending up with no target.

~0008091

karajorma (administrator)

I need a test mission in which this occurs or I'm simply going to close it.

~0008094

Joshua (reporter)

err. Karajorma, I don't really get you, first you say it is so, and then you say you can't reproduce this?...

Test Mission: FSPort, Out of the Dark, Into the night. somehow my irfanview has a problem with reading TGA files, so I can't see wich screenshot was what.

~0008132

Goober5000 (administrator)

Yeah, this definitely exists. I dunno about stealth fighters, but for hidden-from-sensors fighters (like the Shivans in the Port mission) you can target them using 'J'.

It's a bit of an easter egg / hack, though it technically is a bug. Maybe we should only allow this if cheats are enabled. :)

~0008170

ARSPR (reporter)

Last edited: 2007-06-07 20:06

Maybe related or maybe another different issue:

In Procyon Insurgency Mod mission 3, there's a ship called "Unknown" and then:
+ In Ship Editor > Misc, it has no special settings about stealth.
+ It gets a ship-stealthy SEXP at the mission beginning.
+ Through related every-time SEXPs it is continously changing from ship-stealthy to ship-unstealthy.
+ The mission has a little design bug because Unknown Hotkey is not set to Hidden.
+ Because of this little design flaw you see Unknown in F3 multitarget window, so you can assign it to a Fxx group.
+ Then, if you add it to a group with any other targeteable ship, when you activate that Fxx multitarget group you get the white brackets pointing Unknown too even when it is ship-stealthy SEXPed. Nevertheless, you only can target it, (ie. getting the white multitarget brackets AND the red normal brackets), when it is ship-unstealthy SEXPed.
+ If Unknown is assigned to a Fxx group alone, then you cannot multitarget or target it until it is ship-unstealthy SEXPed.

~0010844

karajorma (administrator)

Fixed in my branch.

~0010878

karajorma (administrator)

Fixed in trunk too.
+Notes

-Issue History
Date Modified Username Field Change
2007-04-12 17:09 Joshua New Issue
2007-04-19 11:15 karajorma Note Added: 0008019
2007-04-19 11:15 karajorma Status new => assigned
2007-04-19 11:15 karajorma Assigned To => karajorma
2007-04-29 18:21 karajorma Note Added: 0008033
2007-05-15 20:04 karajorma Note Added: 0008091
2007-05-16 14:44 Joshua Note Added: 0008094
2007-05-25 00:43 Goober5000 Note Added: 0008132
2007-06-07 20:06 ARSPR Note Added: 0008170
2007-06-07 20:06 ARSPR Note Edited: 0008170
2007-07-24 05:57 Goober5000 Assigned To karajorma => Goober5000
2009-04-24 17:49 karajorma Assigned To Goober5000 => karajorma
2009-04-24 17:50 karajorma Note Added: 0010844
2009-05-10 05:29 karajorma Status assigned => resolved
2009-05-10 05:29 karajorma Fixed in Version => 3.6.11
2009-05-10 05:29 karajorma Resolution open => fixed
2009-05-10 05:29 karajorma Note Added: 0010878
+Issue History